=== debian/changelog ===
bombono-dvd-dmo (1:1.2.4-dmo7+deb11u2) stable; urgency=medium

  * Really install SConsTwin.py

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2022 00:49:08 +0200

bombono-dvd-dmo (1:1.2.4-dmo7+deb11u1) stable; urgency=medium

  * Fix installation of SConsTwin.py
  * Changes shebang for python scripts to /usr/bin/python3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Apr 2022 10:57:27 +0200

bombono-dvd-dmo (1:1.2.4-dmo7) unstable; urgency=medium

  * Build with boost 1.74
  * Should Depends on sensible-utils

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Dec 2020 09:33:10 +0100

bombono-dvd-dmo (1:1.2.4-dmo6) unstable; urgency=medium

  * Build with boost 1.71

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jun 2020 13:43:31 +0200

bombono-dvd-dmo (1:1.2.4-dmo5) unstable; urgency=medium

  * Build with libdvdread8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 08:06:51 +0200

bombono-dvd-dmo (1:1.2.4-dmo4) unstable; urgency=medium

  * Build with libdvdread7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Nov 2019 01:15:20 +0100

bombono-dvd-dmo (1:1.2.4-dmo3) unstable; urgency=medium

  * Rebuild against boost 1.67

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Nov 2018 23:55:09 +0100

bombono-dvd-dmo (1:1.2.4-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 16:59:20 +0200

bombono-dvd-dmo (1:1.2.4-dmo1) unstable; urgency=medium

  * New upstream release.
  * Replaces obsolete ttf-freefont dependency by fonts-freefont-ttf (Thanks
    to Julian Gilbey for the bug report).
  * Fix build with a patch from Archlinux (11_operator_ambiguity).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Nov 2017 10:42:34 +0100

bombono-dvd-dmo (1:1.2.2-dmo13) unstable; urgency=medium

  * Rebuild against boost 1.62

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2016 18:04:19 +0100

bombono-dvd-dmo (1:1.2.2-dmo12) unstable; urgency=medium

  * Rebuild against boost 1.61

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Aug 2016 07:43:19 +0200

bombono-dvd-dmo (1:1.2.2-dmo11) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Feb 2016 07:31:50 +0100

bombono-dvd-dmo (1:1.2.2-dmo10) unstable; urgency=medium

  * Fix FTBFS

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Feb 2016 10:49:01 +0100

bombono-dvd-dmo (1:1.2.2-dmo9) unstable; urgency=medium

  * Rebuild against libatkmm-1.6-1v5

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Aug 2015 07:24:17 +0200

bombono-dvd-dmo (1:1.2.2-dmo8) unstable; urgency=medium

  * Rebuild against libglibmm-2.4-1v5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Aug 2015 19:47:40 +0200

bombono-dvd-dmo (1:1.2.2-dmo7) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2014 09:35:25 +0200

bombono-dvd-dmo (1:1.2.2-dmo6) unstable; urgency=medium

  * Rebuild against boost 1.55

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2014 11:28:59 +0200

bombono-dvd-dmo (1:1.2.2-dmo5) unstable; urgency=high

  * Rebuild. Packages in the repository for unstable/testing are broken
    (Thanks to Umberto Zappi for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2014 18:53:33 +0100

bombono-dvd-dmo (1:1.2.2-dmo4) unstable; urgency=low

  * Rebuild against ffmpeg 2.1 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2013 11:29:07 +0100

bombono-dvd-dmo (1:1.2.2-dmo3) unstable; urgency=low

  * Don't build the package twice.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Aug 2013 12:57:52 +0200

bombono-dvd-dmo (1:1.2.2-dmo2) unstable; urgency=low

  * Rebuild against libboost 1.54

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2013 12:19:26 +0200

bombono-dvd-dmo (1:1.2.2-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Mar 2013 08:50:05 +0100

bombono-dvd-dmo (1:1.2.1-dmo2) unstable; urgency=low

  * Add -dmo to source name.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Oct 2012 13:01:08 +0200

bombono-dvd (1.2.1-dmo1) unstable; urgency=low

  * Rebuild against libavcodec54 and libboost 1.49

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Jun 2012 08:32:19 +0200

bombono-dvd (1.2.1-0.2) unstable; urgency=low

  * Really fix manpages issue.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Feb 2012 19:44:30 +0100

bombono-dvd (1.2.1-0.1) unstable; urgency=low

  * Add a Replaces bombono-dvd for bombono-dvd-data.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Feb 2012 19:39:13 +0100

bombono-dvd (1.2.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Feb 2012 15:15:11 +0100

bombono-dvd (1.2.0-0.1) unstable; urgency=low

  * Rebuild against ffmpeg.

 -- Christian Marillat <marillat@debian.org>  Mon, 23 Jan 2012 10:11:00 +0100

bombono-dvd (1.2.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Nov 2011 17:26:03 +0100

bombono-dvd (1.0.2-0.1) unstable; urgency=low

  * Dedicated to my friend Zef.
  * Really replace mkisofs by genisoimage everywhere.
  * New patch 03_ffmpeg-0.8 to fix build with ffmpeg 0.8

 -- Christian Marillat <marillat@debian.org>  Sun, 17 Jul 2011 11:04:49 +0200

bombono-dvd (1.0.2-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Apr 2011 12:22:59 +0200

bombono-dvd (1.0.1-0.2) unstable; urgency=low

  * debian/control Replace libgraphicsmagick++1-dev by
    libgraphicsmagick++-dev in Build-Depends.


