=== debian/control ===
Source: bombono-dvd-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.bombono.com
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), scons, libdvdread-dev, libswscale-dev,
 libgtkmm-2.4-dev (>= 1:2.24.4-2),, libxml++2.6-dev, libmjpegtools-dev, quilt,
 libmagick++-6-headers, libavcodec-dev, libboost-regex-dev (>= 1.71~),
 libboost-filesystem-dev, libavformat-dev (>= 10:4.0~)

Package: bombono-dvd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genisoimage, dvdauthor, mjpegtools,
 dvd+rw-tools, twolame, bombono-dvd-data (>= ${source:Version}), scons, fonts-freefont-ttf, ffmpeg, sensible-utils
Suggests: totem
Description: DVD authoring program with nice and clean GUI
 Bombono DVD is easy to use program for making DVD-Video.
 The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.

Package: bombono-dvd-data
Architecture: all
Enhances: bombono-dvd
Depends: ${misc:Depends}, python3:any
Replaces: bombono-dvd (<= 1.2.1-0.1)
Description: Common data for bombono-dvd
 This package contains architecture-independent data files needed by
 bombono-dvd.
