=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++11
export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2
export DEB_CPPFLAGS_MAINT_APPEND = -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 -DBOOST_FILESYSTEM_NO_DEPRECATED -D_FORTIFY_SOURCE=2

%:
	dh $@ --with quilt

override_dh_auto_install:
	scons USE_EXT_BOOST=true PREFIX=/usr BOOST_LIBPATH=/usr/include/boost \
	DESTDIR=$(CURDIR)/debian/tmp CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" install \
	CXXFLAGS="$(CXXFLAGS)" -j $(NCPUS)

	chmod -x debian/tmp/usr/share/bombono/resources/icons/*.svg

override_dh_clean:
	dh_clean tools/scripts/*.pyc config.opts
	rm -rf build
	rm -rf tools/scripts/__pycache__/
