=== debian/watch ===
version=4

opts="uversionmangle=s/_signed_for_dubrovskiy//" \
https://github.com/muravjov/bombono-dvd/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
